Skip to main content
GET
/
workspaces
/
{workspaceId}
/
address-book-records
Get Address Book records
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/address-book-records
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/address-book-records"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/address-book-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "records": [
    {
      "createdAt": "<string>",
      "externalId": "<string>",
      "name": "<string>",
      "recordId": "<string>",
      "workspaceId": "<string>",
      "accountIds": [
        "<string>"
      ],
      "address": "<string>",
      "createdBy": "<string>",
      "imageId": "<string>",
      "lastUsedAt": "<string>",
      "memo": "<string>",
      "networkId": "<string>",
      "tag": "<string>",
      "updatedAt": "<string>",
      "updatedBy": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required

Query Parameters

recordIds
string[]

Filter by address book record IDs list

networkIds
string[]

Filter by network IDs

addresses
string[]

Filter by addresses

memo
string

Filter by memo

tag
string

Filter by tag (exact match, case-insensitive)

limit
string<int64>
default:500

Limit for pagination

offset
string<int64>

Offset for pagination

sortBy
enum<string>
Available options:
date-added,
type,
name
sortDirection
enum<string>
Available options:
ASC,
DESC
recordType
enum<string>

Filter by record type. See details

Available options:
address,
tag,
bank
recordTypes
enum<string>[]

Filter by record types. See details

Available options:
address,
tag,
bank
statuses
enum<string>[]

Filter by statuses. See details

Available options:
new,
active,
rejected,
deleted

Response

OK

records
object[]
required